> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查詢費率

> 查詢按鏈計算的固定充值和提現手續費。

查詢按鏈計算的固定充值和提現手續費。

> [!NOTE]
>
> 使用 Broker API Key 呼叫。此介面查詢 Broker 配置，無需提供 `X-User-Wallet-Address`。 認證規則見[Broker API 認證與簽名](https://dexbuilder.mintlify.site/zh-TW/api-reference/common/broker-authentication.md)。

## 使用說明

* 回應中的 `network` 標識對應網路；`deposit_fee` 與 `withdraw_fee` 為 USDT 計價的固定金額，並非百分比費率。呼叫時須提供 `x-perp-device-type`。


## OpenAPI

````yaml openapi/dexbuilder-zh-TW.yaml GET /api/v4/dexbuilder/fee
openapi: 3.0.3
info:
  title: DexBuilder 平台 Broker API
  version: 1.0.0
  description: DexBuilder 平台 Broker API，涵蓋資產配置、使用者、充值與提現能力。認證和使用者錢包校驗見本站統一網關說明。
servers:
  - url: https://api.dexbuilder.com
security: []
paths:
  /api/v4/dexbuilder/fee:
    get:
      tags:
        - 資產配置
      summary: 查詢費率
      description: 查詢按網路配置的固定充值和提現手續費，金額以 USDT 計價。
      operationId: getDexBuilderFee
      parameters:
        - $ref: '#/components/parameters/DeviceType'
      responses:
        '200':
          description: 查詢成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvelopePerpQueryFee'
        '401':
          $ref: '#/components/responses/GatewayUnauthorized'
        '403':
          $ref: '#/components/responses/ProjectAccessDenied'
      security:
        - BrokerAPIKey: []
          Timestamp: []
          Signature: []
components:
  parameters:
    DeviceType:
      name: x-perp-device-type
      in: header
      required: true
      description: >-
        DexBuilder 設備類型：1 Android、2 iOS、3 WEB。缺少或無效時回傳
        INVALID_DEVICE_TYPE。僅適用於明確列出此請求標頭的平台介面。
      schema:
        type: string
        enum:
          - '1'
          - '2'
          - '3'
      example: '3'
  schemas:
    EnvelopePerpQueryFee:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/PerpQueryFeeResponse'
    EnvelopeBase:
      type: object
      properties:
        code:
          type: integer
          example: 0
          description: 業務碼，`0` 表示成功
        message:
          type: string
          example: success
          description: 人類可讀說明，成功時為 success
        reason:
          type: string
          description: 錯誤原因標識；成功時通常為空字符串
        trace_id:
          type: string
          description: 鏈路追蹤 ID，排障時提供
    PerpQueryFeeResponse:
      type: object
      properties:
        list:
          type: array
          description: 按鏈列出的費率
          items:
            $ref: '#/components/schemas/PerpQueryFeeItem'
    ErrorEnvelope:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          required:
            - label
          properties:
            label:
              type: string
              description: 穩定的機器可讀錯誤標識
            data:
              nullable: true
              description: 錯誤時一般為 null
    PerpQueryFeeItem:
      type: object
      properties:
        deposit_fee:
          type: string
          description: 充值固定手續費（非比例），USDT 計價十進制字符串，如 0 表示免費
          example: '0'
        withdraw_fee:
          type: string
          description: 提現固定手續費（非比例），USDT 計價十進制字符串
          example: '1.5'
        network:
          type: string
          description: 網路標識：base、bsc、ethereum、solana 或 arbitrum。
  responses:
    GatewayUnauthorized:
      description: Broker API Key、簽名或時間戳無效
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            invalidKey:
              summary: 無效 API Key
              value:
                label: INVALID_KEY
                message: Invalid key provided
                code: 401
                trace_id: abc123
            invalidSignature:
              summary: 簽名錯誤
              value:
                label: INVALID_SIGNATURE
                message: Invalid signature
                code: 401
                trace_id: abc123
    ProjectAccessDenied:
      description: 專案未綁定或 Broker/API Key 不匹配
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          example:
            code: 40300801
            reason: P_DEX_BUILDER_IN_PROJECT_ACCESS_DENIED
            label: PROJECT_ACCESS_DENIED
            message: project access denied
            data: null
  securitySchemes:
    BrokerAPIKey:
      type: apiKey
      in: header
      name: KEY
      description: Broker API Key
    Timestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 秒級時間戳
    Signature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 Broker Secret Key 生成的 HMAC-SHA512 十六進制簽名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.